<?php

namespace Drupal\standwithukraine\Plugin\Block;

use Drupal\Core\Config\ConfigFactoryInterface;
use Drupal\Core\Plugin\ContainerFactoryPluginInterface;

/**
 * Provides an interface for a block to display a message.
 */
interface StandWithUkraineBlockInterface extends ContainerFactoryPluginInterface {

  /**
   * The default value for inheriting options.
   */
  const INHERIT = TRUE;

  /**
   * Creates a StandWithUkraineBlock instance.
   *
   * @param array $configuration
   *   A configuration array containing information about the plugin instance.
   * @param string $plugin_id
   *   The plugin_id for the plugin instance.
   * @param mixed $plugin_definition
   *   The plugin implementation definition.
   * @param \Drupal\Core\Config\ConfigFactoryInterface $config_factory
   *   The configuration factory.
   */
  public function __construct(
    array $configuration,
    $plugin_id,
    $plugin_definition,
    ConfigFactoryInterface $config_factory
  );

}
